Bug 523362 - volume control optimization very confusing
Summary: volume control optimization very confusing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 07:17 UTC by Pierre Ossman
Modified: 2009-09-17 02:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 22:52:56 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2009-09-15 07:17:46 UTC
The volume handling in recent pulseaudio is a bit funky and very unintuitive. The master volume control keeps shifting around based on the volume of the individual pulseaudio clients.

This is of course extremely confusing as the master volume sometimes changes when I change the volume in a single application, but sometimes it doesn't. All depending on which other applications are running and what their volume are.

I'm assuming this is an optimization to try and utilize the hardware volume control as much as possible, but I'm afraid it made the interface horrible. This needs to be backed out or hidden in a way that isn't visible in the user interface. The master volume should not be moving around except when explicitly changed by the user. (same goes for all the volume controls really)

Comment 1 Lennart Poettering 2009-09-15 22:52:56 UTC
The flat vol logic has been greatly modified in rawhide. It should feel a lot more intuitive there, and I think we managed to fix all issues people raised.

(Biggest change is that stream volumes now 'push' sink volumes, meaning that they can only increase, never decrease them)

I'll close this now. Feel free to reopen if you think the logic exposed in F12/Rawhide is still not good enough.

Comment 2 Pierre Ossman 2009-09-16 06:22:58 UTC
I'd prefer if they (interface-wise at least) are completely independent. The way they were originally. But I can give the new system a spin and see if it still frustrates me. :)

Comment 3 Lennart Poettering 2009-09-17 02:23:12 UTC
(In reply to comment #2)
> I'd prefer if they (interface-wise at least) are completely independent. The
> way they were originally. But I can give the new system a spin and see if it
> still frustrates me. :)  

You can always revert to the old behaviour by setting flat-volumes=no in daemon.conf, btw.


Note You need to log in before you can comment on or make changes to this bug.